Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface JVTOperationalStatusMonitorSessionOptionalOpt

public interface JVTOperationalStatusMonitorSessionOptionalOpt

This interface defines string constants to indicate which optional parts of the `JVTOperationalStatusMonitorSession` interface that are supported by an implementation.

If `JVTOperationalStatusMonitorSession.getSupportedOptionalOperations()` returns a method string, a client can call the corresponding method. Otherwise, `UnsupportedOperationException` is thrown.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Field Summary
`static java.lang.String` | `GET_CURRENT_RESULT_REPORT` Constant for the optional operation `getCurrentResultReportByKey`.
`static java.lang.String` | `RESUME_PERFORMANCE_MONITOR_BY_KEY` Constant for the optional operation `resumeOperationalStatusMonitorByKey`.
`static java.lang.String` | `SUSPEND_PERFORMANCE_MONITOR_BY_KEY` Constant for the optional operation `suspendOperationalStatusMonitorByKey`.
`static java.lang.String` | `TRY_CREATE_PERFORMANCE_MONITORS_BY_VALUES` Constant for the optional operation `tryCreateOperationalStatusMonitorsByValues`.
`static java.lang.String` | `TRY_REMOVE_PERFORMANCE_MONITORS_BY_KEYS` Constant for the optional operation `tryRemoveOperationalStatusMonitorsByKeys`.
`static java.lang.String` | `TRY_RESUME_PERFORMANCE_MONITORS_BY_KEYS` Constant for the optional operation `resumeOperationalStatusMonitorsByKeys`.
`static java.lang.String` | `TRY_SUSPEND_PERFORMANCE_MONITORS_BY_KEYS` Constant for the optional operation `suspendOperationalStatusMonitorsByKeys`.

Field Detail

### TRY_CREATE_PERFORMANCE_MONITORS_BY_VALUES

    public static final java.lang.String TRY_CREATE_PERFORMANCE_MONITORS_BY_VALUES

  Constant for the optional operation `tryCreateOperationalStatusMonitorsByValues`.

  See Also:
    Constant Field Values

### TRY_REMOVE_PERFORMANCE_MONITORS_BY_KEYS

    public static final java.lang.String TRY_REMOVE_PERFORMANCE_MONITORS_BY_KEYS

  Constant for the optional operation `tryRemoveOperationalStatusMonitorsByKeys`.

  See Also:
    Constant Field Values

### SUSPEND_PERFORMANCE_MONITOR_BY_KEY

    public static final java.lang.String SUSPEND_PERFORMANCE_MONITOR_BY_KEY

  Constant for the optional operation `suspendOperationalStatusMonitorByKey`.

  See Also:
    Constant Field Values

### TRY_SUSPEND_PERFORMANCE_MONITORS_BY_KEYS

    public static final java.lang.String TRY_SUSPEND_PERFORMANCE_MONITORS_BY_KEYS

  Constant for the optional operation `suspendOperationalStatusMonitorsByKeys`.

  See Also:
    Constant Field Values

### RESUME_PERFORMANCE_MONITOR_BY_KEY

    public static final java.lang.String RESUME_PERFORMANCE_MONITOR_BY_KEY

  Constant for the optional operation `resumeOperationalStatusMonitorByKey`.

  See Also:
    Constant Field Values

### TRY_RESUME_PERFORMANCE_MONITORS_BY_KEYS

    public static final java.lang.String TRY_RESUME_PERFORMANCE_MONITORS_BY_KEYS

  Constant for the optional operation `resumeOperationalStatusMonitorsByKeys`.

  See Also:
    Constant Field Values

### GET_CURRENT_RESULT_REPORT

    public static final java.lang.String GET_CURRENT_RESULT_REPORT

  Constant for the optional operation `getCurrentResultReportByKey`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD